Bug 29506 - gcc (cc1) crashes compiling this code (from GNU Hurd)
gcc (cc1) crashes compiling this code (from GNU Hurd)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-25 22:37 EST by Roland McGrath
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-26 06:17:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
here is the cpp output file new-fifo.i that produces the cc1 crash (303.80 KB, text/plain)
2001-02-25 22:38 EST, Roland McGrath
no flags Details

  None (edit)
Description Roland McGrath 2001-02-25 22:37:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-22smp i686)


This is with the gcc-2.96-69 rpm.
I have about half a dozen source files that produce crashes in cc1.
gcc-2.95.2 is able to compile all this same code fine.

Reproducible: Always
Steps to Reproduce:
/usr/lib/gcc-lib/i386-redhat-linux/2.96/cc1 new-fifo.i -quiet -dumpbase
new-fifo.c -g -O -O3 -Wall -version -o new-fifo.s


Actual Results:  GNU C version 2.96 20000731 (Red Hat Linux 7.0)
(i386-redhat-linux) compiled by GNU C version 2.96 20000731 (Red Hat Linux
7.0).
../../../hurd/trans/new-fifo.c: In function `trivfs_goaway':
../../../hurd/trans/new-fifo.c:478: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Expected Results:  Should have compiled it.
Comment 1 Roland McGrath 2001-02-25 22:38:19 EST
Created attachment 11080 [details]
here is the cpp output file new-fifo.i that produces the cc1 crash
Comment 2 Jakub Jelinek 2001-02-26 06:17:22 EST
Fixed in gcc 3.0 by:
Fri Aug 18 14:23:18 2000  Richard Kenner  <kenner@vlsi1.ultra.nyu.edu>

        * function.c (fixup_var_refs_1, case MEM): Update CODE after
        updating X.
I've just verified this patch fixes this, so this patch will appear in gcc-2.96-77.

Note You need to log in before you can comment on or make changes to this bug.